<?php

namespace App\Actions\User;

use App\Models\User;
use Illuminate\Http\UploadedFile;

class UpdateAvatar
{
    public function execute(UploadedFile|string $image, User $user = null): void
    {
        $user ??= auth()->user();

        $disk = User::mediaDisk();

        if ($image instanceof UploadedFile) {
            $image = $image->storePublicly(User::mediaDir(), $disk);
        }


        $user->avatarImage()->updateOrCreate(['description' => 'avatar'], [
            'path' => $image,
            'disk' => $disk,        
        ]);
    }
}