<?php

namespace App\Http\Controllers;

use App\Models\Admin;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\RateLimiter;
use Illuminate\Validation\ValidationException;

class AdminLoginController extends Controller
{
    public function index(){

        return view('admin_login');
    }

    public function store(Request $request){
        $credentials =   $request->validate([
            'username' => 'required|string',
            'password' => 'required|string'
        ]);


        if (! $this->guard()->attempt($credentials)) {
            RateLimiter::hit($this->throttleKey($request));
            throw ValidationException::withMessages([
                'username' => __('auth.failed'),
            ]);
        }

        $request->session()->regenerate();

        return (['Status' => 'OK' ]);


        
    }

    protected function guard()
    {
        return Auth::guard('admin');
    }
}
