<?php

namespace App\Http\Controllers;

use App\Models\User;
use Illuminate\Http\Request;

class ConfirmAttendanceController extends Controller
{
    public function index(){
        return view('confirm_attendance');
    }

    public function store(Request $request){
        $request->validate([
            'code' => 'required|string|exists:users,email'
        ]);


        $user = User::where('email', $request->code)->first();

        abort_if($user->attendance_status == 'attended', 403, 'This user has already attended the event');

        $user->update(['attendance_status' => 'attended']);

        return ['status' => 'Success'];
    }
}

