<?php

namespace App\Http\Controllers;

use App\Notifications\Mail\RegistrationMail;
use App\Models\Media;
use App\Notifications\Mail\ParticipantConfirm;
use App\Notifications\Mail\RegistrationConfirmation;
use Exception;
use Illuminate\Http\Client\ConnectionException;
use Illuminate\Http\Client\RequestException;
use QrCode;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Notification;
use Illuminate\Support\Facades\View;
use Illuminate\Validation\ValidationException;

class QrCodeController extends Controller
{
    public function index(Request $request){
        
        $user = $request->user();

        QrCode::size('300')->generate($user->email, public_path('images/qrcode.svg') );

        DB::beginTransaction();

        $user->update(['attendance_status' => 'Booked']);
        $user->attendanceList()->create();

        DB::commit();

        $media = Media::where('user_id', $user->id)->first();

        if($user->email_status != 'Sent'){
            try{
                Notification::send($user, new RegistrationConfirmation($user));
                $user->update(['email_status' => 'Sent']);
            }catch(ConnectionException $e){
                throw new ConnectionException();
            }

           
        }
      
          
        return view('qrcode', ['users'=> $user->full_name, 'image' => $media->path]);
        
    }
}
