<?php

namespace App\Http\Controllers;

use App\Actions\User\UpdateAvatar;
use Illuminate\Http\Request;

class UploadImageController extends Controller
{
    public function index(Request $request)
    {
        abort_if($request->user()->doesntExist(), 419);
        return view('upload');
    }

    public function store(Request $request)
    {
        $request->validate([
            'avatar' => 'required|image|file|max:2000',
        ]);

        $user = $request->user();

        if ($request->hasFile('avatar')) {
            app(UpdateAvatar::class)->execute($request->file('avatar'), $user);
           
        }

        return ['status' => 'OK'];


    }
}
