<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\HasOne;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'id',
        'full_name',
        'email',
        'attendance_status',
        'phone',
        'alternate_phone',
        'job_title',
        'organization',
        'address',
        'state',
        'timestamp',
        'email_status'

    ];

   

    public static function mediaDir(): string
    {
        return 'users';
    }

    public static function mediaDisk(): string
    {
        return config('filesystems.media');
    }

    public function avatarImage(): HasOne{

        return $this->hasOne(Media::class);
    }

    public function attendanceList():HasOne{
        return $this->hasOne(AttendanceList::class);
    }

   

    protected function avatarUrl(): Attribute
    {
        return Attribute::get(fn () => $this->relationLoaded('avatarImage') ? $this->avatarImage?->url ?? null : null);
    }
}
