<?php

namespace App\Notifications\Mail;

use App\Models\User;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class RegistrationConfirmation extends Notification
{
    use Queueable;

    public $user;

    /**
     * Create a new notification instance.
     */
    public function __construct(User $user)
    {
        $this->user = $user;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @return array<int, string>
     */
    public function via(object $notifiable): array
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     */
    public function toMail(object $notifiable): MailMessage
    {
        return (new MailMessage)
                    ->greeting('DEAR  '.$this->user->full_name.',')
                    ->line('Thanks For Confirming your participation at the program.')
                    ->line('We look forward to seeing you at the First Digital kano Conference 2023.')
                    ->line('Please keep this email or write the link below')
                    ->line('https://registration.digitalkano.ng')
                    ->line('Your registered email will be used at the venue for attendance')
                    ->line('Thanks!');

                   
                   
                
    }

    /**
     * Get the array representation of the notification.
     *
     * @return array<string, mixed>
     */
    public function toArray(object $notifiable): array
    {
        return [
            //
        ];
    }
}
